Commit ad201b8d authored by Tatsuo Ishii's avatar Tatsuo Ishii

Remove --enable-syslog option

parent eef5c4f0
...@@ -858,7 +858,6 @@ Optional Features: ...@@ -858,7 +858,6 @@ Optional Features:
--enable-depend turn on automatic dependency tracking --enable-depend turn on automatic dependency tracking
--enable-cassert enable assertion checks (for debugging) --enable-cassert enable assertion checks (for debugging)
--enable-odbc build the ODBC driver package --enable-odbc build the ODBC driver package
--enable-syslog enable logging to syslog
Optional Packages: Optional Packages:
--with-PACKAGE[=ARG] use PACKAGE [ARG=yes] --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
...@@ -12167,24 +12166,19 @@ fi ...@@ -12167,24 +12166,19 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
for ac_func in syslog
do
# Check whether --enable-syslog or --disable-syslog was given. as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
if test "${enable_syslog+set}" = set; then echo "$as_me:$LINENO: checking for $ac_func" >&5
enableval="$enable_syslog" echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
case $enableval in
yes)
echo "$as_me:$LINENO: checking for syslog" >&5
echo $ECHO_N "checking for syslog... $ECHO_C" >&6
if test "${ac_cv_func_syslog+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 echo $ECHO_N "(cached) $ECHO_C" >&6
else else
cat >conftest.$ac_ext <<_ACEOF cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure" #line $LINENO "configure"
#include "confdefs.h" #include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes, /* System header to define __stub macros and hopefully few prototypes,
which can conflict with char syslog (); below. */ which can conflict with char $ac_func (); below. */
#include <assert.h> #include <assert.h>
/* Override any gcc2 internal prototype to avoid an error. */ /* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus #ifdef __cplusplus
...@@ -12192,7 +12186,7 @@ extern "C" ...@@ -12192,7 +12186,7 @@ extern "C"
#endif #endif
/* We use char because int might match the return type of a gcc2 /* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */ builtin and then its argument prototype would still apply. */
char syslog (); char $ac_func ();
char (*f) (); char (*f) ();
#ifdef F77_DUMMY_MAIN #ifdef F77_DUMMY_MAIN
...@@ -12207,10 +12201,10 @@ main () ...@@ -12207,10 +12201,10 @@ main ()
/* The GNU C library defines this for functions which it implements /* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */ something starting with __ and the normal name is an alias. */
#if defined (__stub_syslog) || defined (__stub___syslog) #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me choke me
#else #else
f = syslog; f = $ac_func;
#endif #endif
; ;
...@@ -12229,44 +12223,23 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 ...@@ -12229,44 +12223,23 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status=$? ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5 echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then (exit $ac_status); }; }; then
ac_cv_func_syslog=yes eval "$as_ac_var=yes"
else else
echo "$as_me: failed program was:" >&5 echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5 cat conftest.$ac_ext >&5
ac_cv_func_syslog=no eval "$as_ac_var=no"
fi fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi fi
echo "$as_me:$LINENO: result: $ac_cv_func_syslog" >&5 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}$ac_cv_func_syslog" >&6 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test $ac_cv_func_syslog = yes; then if test `eval echo '${'$as_ac_var'}'` = yes; then
cat >>confdefs.h <<_ACEOF
cat >>confdefs.h <<\_ACEOF #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
#define ENABLE_SYSLOG 1
_ACEOF _ACEOF
else
{ { echo "$as_me:$LINENO: error: no syslog interface found" >&5
echo "$as_me: error: no syslog interface found" >&2;}
{ (exit 1); exit 1; }; }
fi fi
done
;;
no)
:
;;
*)
{ { echo "$as_me:$LINENO: error: no argument expected for --enable-syslog option" >&5
echo "$as_me: error: no argument expected for --enable-syslog option" >&2;}
{ (exit 1); exit 1; }; }
;;
esac
else
enable_syslog=no
fi;
echo "$as_me:$LINENO: checking for optreset" >&5 echo "$as_me:$LINENO: checking for optreset" >&5
......
dnl Process this file with autoconf to produce a configure script. dnl Process this file with autoconf to produce a configure script.
dnl $Header: /cvsroot/pgsql/configure.in,v 1.178 2002/04/14 17:23:20 petere Exp $ dnl $Header: /cvsroot/pgsql/configure.in,v 1.179 2002/04/21 00:22:52 ishii Exp $
dnl Developers, please strive to achieve this order: dnl Developers, please strive to achieve this order:
dnl dnl
...@@ -975,13 +975,7 @@ AC_TRY_LINK([#include <setjmp.h>], ...@@ -975,13 +975,7 @@ AC_TRY_LINK([#include <setjmp.h>],
AC_MSG_RESULT(yes)], AC_MSG_RESULT(yes)],
[AC_MSG_RESULT(no)]) [AC_MSG_RESULT(no)])
AC_CHECK_FUNCS([syslog])
PGAC_ARG_BOOL(enable, syslog, no, [ --enable-syslog enable logging to syslog],
[AC_CHECK_FUNC(syslog,
[AC_DEFINE([ENABLE_SYSLOG], 1,
[Define to 1 if to enable the syslogging code])],
[AC_MSG_ERROR([no syslog interface found])])])
AC_CACHE_CHECK([for optreset], pgac_cv_var_int_optreset, AC_CACHE_CHECK([for optreset], pgac_cv_var_int_optreset,
[AC_TRY_LINK([#include <unistd.h>], [AC_TRY_LINK([#include <unistd.h>],
......
...@@ -8,7 +8,7 @@ ...@@ -8,7 +8,7 @@
* *
* *
* IDENTIFICATION * IDENTIFICATION
* $Header: /cvsroot/pgsql/src/backend/utils/error/elog.c,v 1.95 2002/04/04 04:43:44 momjian Exp $ * $Header: /cvsroot/pgsql/src/backend/utils/error/elog.c,v 1.96 2002/04/21 00:22:52 ishii Exp $
* *
*------------------------------------------------------------------------- *-------------------------------------------------------------------------
*/ */
...@@ -22,7 +22,7 @@ ...@@ -22,7 +22,7 @@
#include <signal.h> #include <signal.h>
#include <sys/time.h> #include <sys/time.h>
#include <ctype.h> #include <ctype.h>
#ifdef ENABLE_SYSLOG #ifdef HAVE_SYSLOG
#include <syslog.h> #include <syslog.h>
#endif #endif
...@@ -46,7 +46,7 @@ int client_min_messages; ...@@ -46,7 +46,7 @@ int client_min_messages;
char *client_min_messages_str = NULL; char *client_min_messages_str = NULL;
const char client_min_messages_str_default[] = "notice"; const char client_min_messages_str_default[] = "notice";
#ifdef ENABLE_SYSLOG #ifdef HAVE_SYSLOG
/* /*
* 0 = only stdout/stderr * 0 = only stdout/stderr
* 1 = stdout+stderr and syslog * 1 = stdout+stderr and syslog
...@@ -351,7 +351,7 @@ elog(int lev, const char *fmt,...) ...@@ -351,7 +351,7 @@ elog(int lev, const char *fmt,...)
* Message prepared; send it where it should go * Message prepared; send it where it should go
*/ */
#ifdef ENABLE_SYSLOG #ifdef HAVE_SYSLOG
/* Write to syslog, if enabled */ /* Write to syslog, if enabled */
if (output_to_server && Use_syslog >= 1) if (output_to_server && Use_syslog >= 1)
{ {
...@@ -389,7 +389,7 @@ elog(int lev, const char *fmt,...) ...@@ -389,7 +389,7 @@ elog(int lev, const char *fmt,...)
write_syslog(syslog_level, msg_buf + timestamp_size); write_syslog(syslog_level, msg_buf + timestamp_size);
} }
#endif /* ENABLE_SYSLOG */ #endif /* HAVE_SYSLOG */
/* syslog doesn't want a trailing newline, but other destinations do */ /* syslog doesn't want a trailing newline, but other destinations do */
strcat(msg_buf, "\n"); strcat(msg_buf, "\n");
...@@ -612,7 +612,7 @@ print_pid(void) ...@@ -612,7 +612,7 @@ print_pid(void)
#ifdef ENABLE_SYSLOG #ifdef HAVE_SYSLOG
#ifndef PG_SYSLOG_LIMIT #ifndef PG_SYSLOG_LIMIT
#define PG_SYSLOG_LIMIT 128 #define PG_SYSLOG_LIMIT 128
...@@ -733,7 +733,7 @@ write_syslog(int level, const char *line) ...@@ -733,7 +733,7 @@ write_syslog(int level, const char *line)
syslog(level, "[%lu] %s", seq, line); syslog(level, "[%lu] %s", seq, line);
} }
} }
#endif /* ENABLE_SYSLOG */ #endif /* HAVE_SYSLOG */
static void static void
......
...@@ -4,7 +4,7 @@ ...@@ -4,7 +4,7 @@
* Support for grand unified configuration scheme, including SET * Support for grand unified configuration scheme, including SET
* command, configuration file, and command line options. * command, configuration file, and command line options.
* *
* $Header: /cvsroot/pgsql/src/backend/utils/misc/guc.c,v 1.65 2002/04/03 05:39:32 petere Exp $ * $Header: /cvsroot/pgsql/src/backend/utils/misc/guc.c,v 1.66 2002/04/21 00:22:52 ishii Exp $
* *
* Copyright 2000 by PostgreSQL Global Development Group * Copyright 2000 by PostgreSQL Global Development Group
* Written by Peter Eisentraut <peter_e@gmx.net>. * Written by Peter Eisentraut <peter_e@gmx.net>.
...@@ -54,7 +54,7 @@ extern int CommitDelay; ...@@ -54,7 +54,7 @@ extern int CommitDelay;
extern int CommitSiblings; extern int CommitSiblings;
extern bool FixBTree; extern bool FixBTree;
#ifdef ENABLE_SYSLOG #ifdef HAVE_SYSLOG
extern char *Syslog_facility; extern char *Syslog_facility;
extern char *Syslog_ident; extern char *Syslog_ident;
static bool check_facility(const char *facility); static bool check_facility(const char *facility);
...@@ -394,7 +394,7 @@ static struct config_int ...@@ -394,7 +394,7 @@ static struct config_int
1000, 0, INT_MAX, NULL, NULL 1000, 0, INT_MAX, NULL, NULL
}, },
#ifdef ENABLE_SYSLOG #ifdef HAVE_SYSLOG
{ {
"syslog", PGC_SIGHUP, PGC_S_DEFAULT, &Use_syslog, "syslog", PGC_SIGHUP, PGC_S_DEFAULT, &Use_syslog,
0, 0, 2, NULL, NULL 0, 0, 2, NULL, NULL
...@@ -612,7 +612,7 @@ static struct config_string ...@@ -612,7 +612,7 @@ static struct config_string
assign_server_min_messages assign_server_min_messages
}, },
#ifdef ENABLE_SYSLOG #ifdef HAVE_SYSLOG
{ {
"syslog_facility", PGC_POSTMASTER, PGC_S_DEFAULT, &Syslog_facility, "syslog_facility", PGC_POSTMASTER, PGC_S_DEFAULT, &Syslog_facility,
"LOCAL0", check_facility, NULL "LOCAL0", check_facility, NULL
...@@ -1364,7 +1364,7 @@ ParseLongOption(const char *string, char **name, char **value) ...@@ -1364,7 +1364,7 @@ ParseLongOption(const char *string, char **name, char **value)
#ifdef ENABLE_SYSLOG #ifdef HAVE_SYSLOG
static bool static bool
check_facility(const char *facility) check_facility(const char *facility)
......
...@@ -8,7 +8,7 @@ ...@@ -8,7 +8,7 @@
* or in pg_config.h afterwards. Of course, if you edit pg_config.h, then your * or in pg_config.h afterwards. Of course, if you edit pg_config.h, then your
* changes will be overwritten the next time you run configure. * changes will be overwritten the next time you run configure.
* *
* $Id: pg_config.h.in,v 1.21 2002/04/10 22:47:09 petere Exp $ * $Id: pg_config.h.in,v 1.22 2002/04/21 00:22:52 ishii Exp $
*/ */
#ifndef PG_CONFIG_H #ifndef PG_CONFIG_H
...@@ -47,9 +47,6 @@ ...@@ -47,9 +47,6 @@
/* Set to 1 if you want ASSERT checking (--enable-cassert) */ /* Set to 1 if you want ASSERT checking (--enable-cassert) */
#undef USE_ASSERT_CHECKING #undef USE_ASSERT_CHECKING
/* Set to 1 to use syslog() to write postmaster log (--enable-syslog) */
#undef ENABLE_SYSLOG
/* Define to build with Kerberos 4 support (--with-krb4[=DIR]) */ /* Define to build with Kerberos 4 support (--with-krb4[=DIR]) */
#undef KRB4 #undef KRB4
...@@ -708,6 +705,8 @@ extern int fdatasync(int fildes); ...@@ -708,6 +705,8 @@ extern int fdatasync(int fildes);
#undef HAVE_UINT64 #undef HAVE_UINT64
#undef HAVE_SIG_ATOMIC_T #undef HAVE_SIG_ATOMIC_T
/* Define if you have syslog() */
#undef HAVE_SYSLOG
/* /*
*------------------------------------------------------------------------ *------------------------------------------------------------------------
......
...@@ -7,7 +7,7 @@ ...@@ -7,7 +7,7 @@
* Portions Copyright (c) 1996-2001, PostgreSQL Global Development Group * Portions Copyright (c) 1996-2001, PostgreSQL Global Development Group
* Portions Copyright (c) 1994, Regents of the University of California * Portions Copyright (c) 1994, Regents of the University of California
* *
* $Id: elog.h,v 1.35 2002/03/06 06:23:20 momjian Exp $ * $Id: elog.h,v 1.36 2002/04/21 00:22:52 ishii Exp $
* *
*------------------------------------------------------------------------- *-------------------------------------------------------------------------
*/ */
...@@ -41,7 +41,7 @@ ...@@ -41,7 +41,7 @@
/*#define DEBUG DEBUG1*/ /* Backward compatibility with pre-7.3 */ /*#define DEBUG DEBUG1*/ /* Backward compatibility with pre-7.3 */
/* Configurable parameters */ /* Configurable parameters */
#ifdef ENABLE_SYSLOG #ifdef HAVE_SYSLOG
extern int Use_syslog; extern int Use_syslog;
#endif #endif
extern bool Log_timestamp; extern bool Log_timestamp;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment